import 'dart:typed_data';

import 'enums.dart';

abstract class VidPlayerEvent {}

class VidPlayerStatusChangeEvent extends VidPlayerEvent {
  VidPlayerStatusChangeEvent(this.status);
  final VidPlayStatus status;
}

class VidPlayerSpeedChangeEvent extends VidPlayerEvent {
  VidPlayerSpeedChangeEvent(this.speed);
  final double speed;
}

class VidPlayerFrameIndexChangeEvent extends VidPlayerEvent {
  VidPlayerFrameIndexChangeEvent(
    this.index,
    this.bytes,
    this.width,
    this.height,
  );
  final int index;
  final int width;
  final int height;
  final Uint8List bytes;
}

class VidPlayerBrightnessChangeEvent extends VidPlayerEvent {
  VidPlayerBrightnessChangeEvent(this.brightness);
  final int brightness;
}

class VidPlayerContrastChangeEvent extends VidPlayerEvent {
  VidPlayerContrastChangeEvent(this.contrast);
  final int contrast;
}
